LoremKnight
=================

Generate Lorem from georgian poem "The Knight in the Panther's Skin" quickly in Terminal! ( see wiki for more ) 

![LoremKnight shota](http://www.picz.ge/img/s3/1610/11/c/cec3d5d8af8c.jpg)


## Setup

1. Install `gem install LoremKnight`.
2.  Linux: You will need the xclip or xsel program. On debian/ubuntu this is: `sudo apt-get install xclip` for Terminal auto copy/paste support


## Usage
----------

_From Terminal_


**Type in terminal :** 

generate Paragraphs -  `LoremKnight p QUANTITY (from 1 to infinity :d )`

generate Sentences - `LoremKnight s QUANTITY`

generate Words - `LoremKnight QUANTITY` 

generate Html lists -  `LoremKnight l QUANTITY`

**Additionally**  add `--pre` and of any command , generated lorem will start with "რომელმან შექმნა სამყარო"


----------


**_From Ruby Code_**

***Getters***

function | What it does
---------|-------------
Tiger.getSentence(n) | returns lorem sentences
Tiger.getWords(n) | returns words
Tiger.getParagraph(n) | returns paragraphs
Tiger.getList(n) | returns Lists

***Setters*** 

function | What it does
---------|-------------
Tiger.setSentenceSize(int n)| changes number of words in sentences , default is 7
Tiger.setParagraphSize(int n) | changes number of words in paragraph, default is 70
Tiger.setListSize(int n) | changes number of lists generated on each, default is 5
Tiger.setWordMaximumLength(int n) | changes max length of words generated , default is 25
Tiger.setContentType(String type'html' or 'raw') | sets content type html or raw
Tiger.hasPreSentence(boolean n) | indicates whether have preSentence or not ('რომელმან შექმნა სამყარო')

***Example Code*** 


    class loremGenerator
     Tiger.setSentenceSize(10) // changing default size of sentences generated
     Tiger.setContentType('HTML') // setting content type to html , so it will generate lorem with html tags
     Tiger.hasPreSentence(true) // indicating that every sentence or paragraph or list will start with presentence : ''რომელმან შექმნა სამყარო'
    
       def self.generateLorem(type,howMuch)
          case(type)
          when 'list'
             puts "#{Tiger.getList(howMuch)}"
          when 'paragraph'
             puts "#{Tiger.getParagraph(howMuch)}"
          when 'sentence'
             puts "#{Tiger.getSentence(howMuch)}"
          when 'words'
             puts "#{Tiger.getWords(howMuch)}"
          else
            puts "wrong type"
          end
        end
    end
    
    # Than you can simply
    
    tiger = loremGenerator.new
    tiger.generateLorem('paragraph',3) // will output 3 paragraph lorems :)

----------


### _From Anywhere using Api_
Visit [LoremKnight Api doc here ](http://www.loremknight.me/api)
## Development

dependencies used : 
* Thor  - for terminal support 
* clipboard & ffi - for automatic copy/paste from terminal
* rainbow - for cheerfulness and colorfulness 

<a href="https://badge.fury.io/rb/LoremKnight"><img src="https://badge.fury.io/rb/LoremKnight.svg" alt="Gem Version" height="18"></a>

[![Build Status](https://travis-ci.org/gugakatsi/LoremKnight.svg?branch=master)](https://travis-ci.org/gugakatsi/LoremKnight)

[![Dependency Status](https://gemnasium.com/badges/github.com/gugakatsi/LoremKnight.svg)](https://gemnasium.com/github.com/gugakatsi/LoremKnight)
