$:.unshift(File.expand_path(File.join(File.dirname(__FILE__), "..", "lib")))
require 'lorem-knight/panther.rb'

describe LoremKnight::Panther do

  subject {  LoremKnight::Panther.new }
  let(:panther) {  subject }

  before do
    panther.word_length = 20;
    panther.sentence_size = 10;
    panther.paragraph_size = 80;
  end

  describe "LoremKnight w 10 maxW 10" do
    it "Test if lorem outputs 10 words with max length of 10 xD" do
      expect(panther.get_words(10).chomp.length).to be <= 10*10
    end
  end

  describe "setStandartSentenceSize(size)" do
    it "tests if setters works : sentence" do
      expect(panther.get_sentence(1).split(" ").length).to be == 10
    end
  end

  describe "setStandartSentenceSize(size)" do
    it "tests if setters works : paragraph" do
      expect(panther.get_paragraph(1).split(" ").length).to be == 80
    end
  end

  describe "hasPreSentence(true)" do
    it "test if every sentence starts with romelman sheqmna samyaro" do
      panther.has_pre_sentence = true;
      expect(panther.get_sentence(1).chomp).to start_with('რომელმან შექმნა სამყარო')
    end
  end

end
